Bug 139954 - Add UW-IMAP to Dovecot migration documentation & scripts
Add UW-IMAP to Dovecot migration documentation & scripts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
RHEL4U3NAK
: FutureFeature
Depends On:
Blocks: 181409
  Show dependency treegraph
 
Reported: 2004-11-18 17:06 EST by John Dennis
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0439
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Dennis 2004-11-18 17:06:52 EST
From: 	Richard Keech <rkeech@redhat.com>

hi John,

I gather that you're the package maintainer for Dovecot.

I have used your dovecot package (re-built by me for RHEL3)
in a recent production mail server upgrade.  I used maildir, 
and the performance improvement over uw-imap was amazing.  
See http://people.redhat.com/rkeech/maildir-migration.txt
However, the hard part was transitioning the existing 
mailboxes to maildir format. 

So, it seems that RHEL4 as it stands now will ship 
without providing a ready means for users to migrate
their mailboxes.

My reason for writing is to suggest that we provide
access to my mailbox migration tools in the
Dovecot package for RHEL4.  Even though it's
late in the release cycle, could this material
be included in the package's documentation area
as a contributed and unsupported resource?

I propose that the files in:

  http://people.redhat.com/rkeech/migrate.tar

as well as 

  http://people.redhat.com/rkeech/maildir-migration.txt

be included in /usr/share/doc/dovecot-<vers>/mailbox-migration/

Note that migrate.tar includes perfect_maildir.pl maintained
by Emmanuel Lacour <elacour@home-dn.net>.
Comment 3 Daniel Riek 2006-03-13 12:05:18 EST
CLOSE RAWHIDE is not really useful for a RHEL4 Update request.

The impact of this is high enough to carry forward the request to the next
Update. In addition there other requests for this component possibly justifying
a QA slot. 

Moving to the next Update, clearing all ACKs.
Comment 6 Bob Johnson 2006-04-11 13:01:09 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 10 Red Hat Bugzilla 2006-08-10 17:35:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0439.html

Note You need to log in before you can comment on or make changes to this bug.